#    most of this task is now taken from the standard application

set VERSION "MDI2"

#    put some default environment variables before loading common 

if {[info exists env(VMEServer)]} then {set resource $env(VMEServer)} else {set resource VME}
set VMEserver $resource

if {[info exists env(RDOUTserver)]} then {set resource $env(RDOUTserver)} else {set resource VME}
set RDOUTserver $resource

set RDOUTserverList $RDOUTserver
set SpectrumServerList {}
set SpectrumServer [first $SpectrumServerList]

loadsource  sys.common

set DAProgram MIDASExecV2
set OS Linux

proc checkinstallation  {} {return 0}       ;#   suppress check at present

set frametitle "MIDAS Data Acquisition Experiment Control (MDI2)"

set VMEPresent 1
set VMEEnable 1

set TSPresent 1
set TSEnable 0
set txEnable 0

set histEnable 1
set HistMode 1

set TestBuffer ""

lappend Supported_Modules MDI2

set MDI2_Base 64

set Options(Stat.channels) 5120
set Options(Rate.channels) 5120

update_Options

loadsource sys.DA     ;#  for common data acquisition support

loadsource sys.2D    ;# for 2D histogrammming 


